Ao instalar e configurar uma conexão ADSL no openSUSE 11.4, esbarrei na seguinte mensagem: “Não foi possível encontrar o pacote linux-atm-lib. Ao resolver este pequeno problema, resolvi deixar a resolução do mesmo aqui neste post.

  • Primeiramente instale os pacotes libatm1, linux-atm e linux-atm-devel.
  • Edite o arquivo /usr/share/YaST2/modules/DSL.ycp, trocando a linha 571 o conteúdo linux-atm-lib para libatm1.
  • Entra na pasta /usr/share/YaST2/modules.
  • Execute o comando ycpc -c DSL.ycp e yast ./DSL.ycp.
  • Instale o programa smpppd e qinternet.
  • Entre no YAST, selecione DISPOSITIVO DE REDE e logo a seguir DSL.
  • Adicione um novo dispositivo dsl0.
  • Cadastre o provedor e não esqueça de selecionar o modo PPP “PPP sobre Ethernet”.
  • Informe o provedor, login e senha.

Pronto, agora e execute o qinternet, se tudo estiver funcionando corretamente aparecerá uma nova imagem no trayicon para conexão e desconexão. Até o próximo post.